<?php
 

include ("../funciones/fechas.php");

 $cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numpla=strtoupper($_POST["numplaca"]);
$estado=$_POST["estado"];
$marca=strtoupper($_POST["marca"]);



$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($dsccli <> "") { $where.=" AND dsccli like '%".$dsccli."%'"; }
if ($numpla <> "") { $where.=" AND numpla like '%".$numpla."%'"; }
if ($marca <> "") { $where.=" AND marveh like '%".$marca."%'"; }
if ($estado <> "") { $where.=" AND estveh='$estado'"; }







///////////////////////////////////////////////////////////////////////////////

require("../conexion.php");


 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT cdgveh FROM vehiculos WHERE ".$where )) {
   $filas = $result->num_rows;
    $result->close();
}

$where.=" ORDER BY cdgveh DESC LIMIT 250";


?>


<html>
	<head>
		<title>Vehiculos</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		function ver_Vehiculo(cdgveh) {
			parent.location.href="ver_vehiculo.php?cdgveh=" + cdgveh + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_Vehiculo(cdgveh) {
			parent.location.href="modificar_vehiculo.php?cdgveh=" + cdgveh + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function eliminar_Vehiculo(cdgveh) {
			parent.location.href="eliminar_vehiculo.php?cdgveh=" + cdgveh + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
				
	
		
		
		function imprimir(cdgcli,dsccli) {
			
			//window.open("Reporte_estado_de_cuenta.php?cdgcli=" + cdgcli);
			window.open("../Reportes/Reporte_estado_de_cuenta.php?cdgcli=" + cdgcli+"&dsccli="+dsccli);
			
			//location.href="Reporte_estado_de_cuenta.php";
			
		//	location.href="../Reportes/Reporte_estado_de_cuenta.php";
		}
		
		
		
		

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+200);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+200;
			}
		}
		
		
		
		</script>
	</head>

	<body onload=inicio();>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas ?> " >
				
				<?php	
if ( $filas > 0) {
 
$consulta2 = "SELECT cdgveh FROM vehiculos WHERE ".$where;

if ($resultado2 = $mysqli->query($consulta2)) 
$contador=0;
 $numtelefono ="";
    while ($fila2 = $resultado2->fetch_assoc()) {
		
	$cdgveh= $fila2["cdgveh"];
	
	$consulta = "SELECT * FROM vehiculos WHERE cdgveh='$cdgveh' ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $cdgcli = $fila["cdgcli"];
        $dsccli = $fila["dsccli"];
		
		$cdgveh = $fila["cdgveh"];
        $marveh = $fila["marveh"];
		$numpla = $fila["numpla"];
		
		$tipace = $fila["tipace"];
        $filair = $fila["filair"];
		$filace = $fila["filace"];
		$filcom = $fila["filcom"];
		
	


		
		

	
        $dsccli = substr($dsccli, 0, 45);  
   $resultado->close();

if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
	<tr class="<?php echo $fondolinea?>">
        <td class="" width="3%"></td>
	
	<td width="6%"><div align="left"><?php echo $cdgveh ?></div></td>
    <td width="29%"><div align="left"><?php echo "[".$cdgcli."] " .$dsccli?></div></td>
    
    <td width="12%"><div align="left"><?php echo $numpla ?></div></td>
	<td width="13%"><div align="left"><?php echo $tipace ?></div></td>
    <td width="7%"><div align="left"><?php echo $filair ?></div></td>

	<td width="11%"><div align="center"><?php echo $filace ?></div></td>
     <td width="12%"><div align="left"><?php echo $filcom ?></div></td>

						
	<td width="2%"><div align="center"><a href="#"></a></div></td>
						
	<td width="3%"><div align="center"><a href="#"><img src="../img/Edit_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="modificar_Vehiculo(<?php echo $cdgveh ?>,'<?php echo $dsccli ?>')" title="Modificar"></a></div></td>
	<td width="2%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_Vehiculo(<?php echo $cdgveh ?>,'<?php echo $dsccli ?>')" title="Visualizar"></a></div></td>
   <td width="0%"></td>
						
						</tr>

	<?php

 $contador++;


}
   $resultado2->close();

						?>			
					</table>
					<?php } else { ?>
										
					<?php } ?>					
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>